var suite = require("../vows-fluent.js").suite,
	assert = require("assert");

suite("Arithmetic Test").batch()

	.context("2 into 6")
		.topic()
			.set(function() { return 6 / 2 })
			.parent()
		.vow("is a number")
			.set(function (topic) { assert.isNumber(topic); })
			.parent()
		.vow("equals 3")
			.set( function (topic) { assert.equal(topic, 3); })
			.batch()

	.context("123")
		.topic(123)
		.vow("is a number", function(topic) { assert.isNumber(topic); })
		.vow("equals 123", function(topic) { assert.equal(topic, 123); })
		.context("divided by 10")
			.topic(function(topic) { return topic / 10; })
			.vow("equas 12.3", function (topic) { assert.equal(topic, 12.3); })
			.batch()

	.context("1 plus 3")
		.topic(function() { return 1 + 3; })
		.vow("is a number", function(topic) { assert.isNumber(topic); })
		.vow("equals 4", function(topic) { assert.equal(topic, 4); })
		.context("subtract 5")
			.topic(function(topic) { return topic - 5; })
			.vow("is a number", function (topic) { assert.isNumber(topic); })
			.vow("equals -1", function(topic) {	assert.equal(topic, -1); })
			.context("times 2")
				.topic(function(topic) { return topic * 2; })
				.vow("is a number", function(topic) { assert.isNumber(topic); })
				.vow("equals-2", function(topic) { assert.equal(topic, -2); })
				.parent()
			.context("times 0")
				.topic(function (topic) { return topic * 0; })
				.vow("equals 0", function(topic) { assert.equal(topic, 0); })
				.suite()
				
.export(module);
	